# Shipping request for getting cart details

Endpoint returns details of cart for shipping request

Endpoint: GET /api/shipping-request/{shippingRequestCode}/{shippingGuid}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `shippingRequestCode` (string, required)
    Shipping request code of cart
    Example: "0389fc7dd97584790e5ad49010db9c4a"

  - `shippingGuid` (string, required)
    Shipping method based on delivery
    Example: "ecb3e399-2f57-11eb-8853-0800275177b9"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.eshop` (object, required)

  - `data.eshop.eshopId` (integer, required)
    Eshop ID.

  - `data.eshop.eshopUrl` (string, required)
    Eshop URL.

  - `data.eshop.vatPayer` (boolean, required)
    identify if e-shop is VAT payer or not.

  - `data.cart` (object)
    Cart information

  - `data.cart.price` (object, required)
    Information about total price in cart

  - `data.cart.price.withVat` (string,null, required)
    Total price with VAT

  - `data.cart.price.withoutVat` (string,null, required)
    Total price without VAT

  - `data.cart.price.vat` (string,null, required)
    Total price VAT (not VAT rate)

  - `data.cart.currency` (string, required)
    Currency code of cart

  - `data.cart.freeShipping` (boolean)
    Whether cart currently has freeShipping (because of coupon or amount)

  - `data.items` (array, required)
    List of items in cart (without price)

  - `data.items.productGuid` (string, required)
    unique product indicator

  - `data.items.code` (string, required)
    Product code

  - `data.items.itemType` (string, required)
    see also [Product types](#section/code-lists/product-types) code list

  - `data.items.name` (string, required)
    Product name

  - `data.items.variantName` (string, required)
    Product variant name

  - `data.items.brand` (any, required)
    Product brand

  - `data.items.weight` (string, required)
    weight in kg, unpacked (can be null). 3 decimal places. Maximum value 999999.

  - `data.items.amount` (string,null, required)
    amount of ordered product.

  - `data.items.amountUnit` (string,null, required)
    unit of order product

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

## Response 408 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced


